﻿if ((GetLocale() == "enUS") or (LFMonitor.TEXT == nil)) then 

	local BZ = LFMonitor.BZ
	local BB = LFMonitor.BB
	local l = string.lower
	
	--local function l(text)
	
	--	return string.lower(text)
		
	--end
	
		
-- Chat commands
	LFMonitor.CHAT_COMMANDS = {"lfmonitor", "lfmon"}

-- Whisper command
	LFMonitor.WHISPER_COMMAND = "/w"

--fonts
	LFMonitor.FONT_FRIZ = "Friz Quadrata TT"
	LFMonitor.FONT_ARIALN = "Arial Narrow"
	LFMonitor.FONT_SKURRI = "Skurri"
	LFMonitor.FONT_MORPHEUS = "Morpheus"

--timestamps
	LFMonitor.TS_12HR1 = "12h h:m"
	LFMonitor.TS_12HR2 = "12h h:m:s"
	LFMonitor.TS_12HR3 = "12h h:m am/pm"
	LFMonitor.TS_12HR4 = "12h h:m:s am/pm"
	LFMonitor.TS_24HR1 = "24h h:m"
	LFMonitor.TS_24HR2 = "24h h:m:s"

--appearance options
	LFMonitor.APPEARANCE_OPTIONS = "Appearance options"
	LFMonitor.TIMESTAMP = "Timestamp"
	LFMonitor.MESSAGE_TEXT = "Message text"
	LFMonitor.TEXT = "Text"
	LFMonitor.WINDOW = "Window"
	LFMonitor.FONT = "Font"
	LFMonitor.TIMESTAMP_FORMAT = "Timestamp format"

	if (GetCVar("locale") == "enGB") then

		LFMonitor.CLASS_COLOUR_TEXT = "Use class colours"

	else

		LFMonitor.CLASS_COLOUR_TEXT = "Use class colors"

	end

--profession options
	LFMonitor.SET_LOOKING_FOR = "Set the 'Looking For' professions to monitor"
	LFMonitor.PROF = "Looking for"

--responses options
	LFMonitor.RESPONSES = "Responses"
	LFMonitor.RESPONSES_TO_REQUESTS = "Responses to 'Looking For' requests"
	LFMonitor.SET_RESPONSES = "Set the responses to provide to requests"
	LFMonitor.WHISPER_ME = "Whisper me for prices"
	LFMonitor.LFG_RESPONSE = "Invite"

--general options
	LFMonitor.GENERAL_OPTIONS = "General options"
	LFMonitor.HIDE_IN_INSTANCES = "Hide in instances"
	LFMonitor.HIDE_IN_COMBAT = "Hide in combat"
	LFMonitor.SHOW_IN_CITIES = "Only show in major cities and inns"
	LFMonitor.TRADE_CHANNEL = "Only show when in Trade channel"
	LFMonitor.SOUND_ON = "Sound on"
	LFMonitor.LOCK = "Lock position and size"
	LFMonitor.CHANNELS = "Monitored channels"

--custom search
	LFMonitor.CUSTOM_OPTIONS = "Custom monitoring"
	LFMonitor.CUSTOM_INST = "Enter a word or phrase you would like monitored"
	LFMonitor.CUSTOM_BASIC = "Basic search"
	LFMonitor.CUSTOM_ADV = "Advanced search"
	LFMonitor.CUSTOM_WARNING = "The box below will accept any lua pattern matching expression. This is for advanced users only. More information on lua patterns can be found at |cff00ff00http://www.wowwiki.com/Pattern_matching"
	LFMonitor.CUSTOM_CHANNELS = "Monitor Custom Channels"

--sounds
	LFMonitor.COINS = "Coins"
	LFMonitor.WINDOW_TAB = "Window tab"
	LFMonitor.MENU_OPENING = "Menu opening"
	LFMonitor.MINIMAP_OPENING = "Minimap opening"
	LFMonitor.SPELLBOOK_OPENING = "Spellbook opening"
	LFMonitor.SPELLBOOK_CLOSING = "Spellbook closing"
	LFMonitor.TALENTS_OPENING = "Talents opening"
	LFMonitor.QUEST_LOG_OPENING = "Quest log opening"
	LFMonitor.FISHING = "Fishing"
	LFMonitor.DISCOVERY = "Discovery"
	LFMonitor.APPLAUSE = "Applause"
	LFMonitor.BEEP = "Beep"
	LFMonitor.CLICK = "Click"
	LFMonitor.DOG_BARKING = "Dog barking"
	LFMonitor.MOUSE_CLICK = "Mouse click"
	LFMonitor.STAPLER = "Stapler"

--jewelcrafting
	LFMonitor.JEWELCRAFTING = "Jewelcrafting"
	LFMonitor.jctxt = {"jc", "jcer", "jewelcrafter", "jc'er", "cutter", "jw", "jewel"}

--enchanting
	LFMonitor.ENCHANTING = "Enchanting"
	LFMonitor.enctxt = {"enc", "enchant", "enchanter", "chanter"}

--leatherworking
	LFMonitor.LEATHERWORKING = "Leatherworking"
	LFMonitor.lwtxt = {"lw", "lwer", "leatherworker"}

--inscription
	LFMonitor.INSCRIPTION = "Inscription"
	LFMonitor.instxt = {"ins", "inscription", "inscriptions", "inscriptioner", "inscriber", "inscripter", "inscriptor"}

--tailoring
	LFMonitor.TAILORING = "Tailoring"
	LFMonitor.tlrtxt = {"tlr", "tailor", "tailer", "tailoring"}

--blacksmithing
	LFMonitor.BLACKSMITHING = "Blacksmithing"
	LFMonitor.bstxt = {"bs", "blacksmith", "blacksmither"}

--alchemy
	LFMonitor.ALCHEMY = "Alchemy"
	LFMonitor.alctxt = {"alc", "alchemist"}

--engineering
	LFMonitor.ENGINEERING = "Engineering"
	LFMonitor.engtxt = {"eng", "engineer", "engi"}

--want to buy
	LFMonitor.ALL_WTB_REQUESTS = "All 'Want to buy' requests"
	LFMonitor.wtbtxt = {"wtb", "want to buy"}

--want to sell
	LFMonitor.ALL_WTS_REQUESTS = "All 'Want to sell' requests"
	LFMonitor.wtstxt = {"wts", "want to sell", "selling"}

--looking for
	LFMonitor.ALL_LFG_REQUESTS = "All 'Looking for group' requests"
	LFMonitor.ALL_LF_CRAFTER_REQUESTS = "All 'Looking for crafter' requests"
	LFMonitor.GENERAL_LF_REQUESTS = "General 'Looking for' requests"
	LFMonitor.lftxt = {"lf", "looking for", "any"}
	LFMonitor.misctxt = {"crafter", "craft"}

--looking for work
	LFMonitor.ALL_LFW_REQUESTS = "All 'Looking for work' requests"
	LFMonitor.lfwtxt = {"lfw", "looking for work", "crafting", "cutting", "lf work"}

--looking for more
	LFMonitor.ALL_LFM_REQUESTS = "All 'Looking for more' requests"
	LFMonitor.LFM_OPTIONS = "'Looking For More' options"
	LFMonitor.LFM_LIMIT = "Limit LFM requests to the following classes"
	LFMonitor.lfmtxt = {"lf%d*m*"} -- lf(optional digit)m - matches lfm, lf1m, lf2m etc.
	LFMonitor.lfgtxt = {"lfg", "lfg/m", "looking for group"}
	LFMonitor.IGNORE_RAID = "Ignore raid settings"
	
--menu
-- in all the following section %s will be replaced with the player's name
	LFMonitor.AUTOREPLY = "Autoreply"
	LFMonitor.SEND_AUTO = "Send your autoresponse to %s"
	LFMonitor.IGNORE_LIST = "Add %s to your ignore list"
	LFMonitor.CLOSE_MENU = "Close this menu"
	LFMonitor.WHISPER = "Whisper %s"

--dialogues
	LFMonitor.CANNOT_SEND = "Cannot send an autoreponse - nothing to reply with!"
	LFMonitor.RESET_CONFIRM = "The will reset ALL LFMonitor's settings. Are you sure?"

--classes
	LFMonitor.DK_TXT = {"death knight", "deathknight", "dk"}
	LFMonitor.DR_TXT = {"druid", "drood"}
	LFMonitor.HU_TXT = {"hunter", "huntard"}
	LFMonitor.MA_TXT = {"mage"}
	LFMonitor.PA_TXT = {"paladin", "pally", "pala"}
	LFMonitor.PR_TXT = {"priest"}
	LFMonitor.RO_TXT = {"rogue", "rouge"}
	LFMonitor.SH_TXT = {"shaman", "shammy", "shamy"}
	LFMonitor.WA_TXT = {"warlock", "lock"}
	LFMonitor.WR_TXT = {"warrior", "war", "warr"}
	LFMonitor.TANK_TXT = {"tank", "mt", "ot", "tanks"}
	LFMonitor.HEALER_TXT = {"healer", "healers"}
	LFMonitor.DPS_TXT = {"dps", "dpser"}
	LFMonitor.CC_TXT = {"crowd control", "cc"}
	
	--raids
	LFMonitor.RAIDTITLE = "Set the raids to monitor"
	
	LFMonitor.RAIDS = {
		{rname = BZ["Baradin Hold"], level = 85, patt = {"baradin", "bh", l(BB["Argaloth"])}},
		{rname = BZ["Blackwing Descent"], level = 85, patt = {"blackwing", "bwd", l(BB["Magmaw"]), l(BB["Maloriak"]), l(BB["Chimaeron"]), "omnotron", l(BB["Atramedes"]), l(BB["Nefarian"])}},
		{rname = BZ["The Bastion of Twilight"], level = 85, patt = {"bot", "bastion", "halfus", "ascendant", "vallona", "therallon", l(BB["Cho'gall"]), l(BB["Sinestra"])}},
		{rname = BZ["Throne of the Four Winds"], level = 85, patt = {"throne", "tfw", "conclave", l(BB["Al'Akir"])}},
		{rname = BZ["The Eye of Eternity"], level = 80, patt = {"eoe%d*", "maly%d*", l(BB["Malygos"])}},
		{rname = BZ["Icecrown Citadel"], level = 80, patt = {"icc%d*", "marrowgar", "deathwhisper", "gunship", "saurfang", l(BB["Rotface"]), l(BB["Festergut"]), "putricide", "princes", "queen", "dreamwalker", l(BB["Sindragosa"]), "lich", "lk"}},
		{rname = BZ["Naxxramas"], level = 80, patt = {l(BZ["Naxxramas"]), "naxx%d*", l(BB["Anub'Rekhan"]), "faerlina", l(BB["Maexxna"]), "razuvious", "gothik", "horsemen", l(BB["Patchwerk"]), l(BB["Grobbulus"]), l(BB["Gluth"]), l(BB["Thaddius"]), "noth", "heigan", l(BB["Loatheb"]), l(BB["Sapphiron"]), l(BB["Kel'Thuzad"])}},
		{rname = BZ["Onyxia's Lair"], level = 80, patt = {l(BB["Onyxia"]) .. "%d*", "ony%d*"}},
		{rname = BZ["The Obsidian Sanctum"], level = 80, patt = {"os", "os3d", "sarth", l(BB["Sartharion"])}},
		{rname = BZ["The Ruby Sanctum"], level = 80, patt = {"rs%d*", l(BB["Halion"])}},
		{rname = BZ["Trial of the Crusader"], level = 80, patt = {"toc%d*", "togc%d*", "tgc%d*", "beasts", "champs", "jaraxxus", "twins", "anub"}},
		{rname = BZ["Ulduar"], level = 80, patt = {l(BZ["Ulduar"]) .. "%d*", "leviathan", "ignis", l(BB["Razorscale"]), "deconstructor", "assembly", l(BB["Kologarn"]), l(BB["Auriaya"]), l(BB["Mimiron"]), l(BB["Freya"]), l(BB["Thorim"]), l(BB["Hodir"]), "vezax", "yogg", l(BB["Yogg-Saron"]),"algalon"}},
		{rname = BZ["Vault of Archavon"], level = 80, patt = {"voa%d*", "archavon", "koralon", "emalon", "toravon"}},
		{rname = BZ["Mount Hyjal"], level = 70, patt = {l(BZ["Hyjal"]), "bmj%d*", "winterchill", "anetheron", "kaz'rogal", "azgalor", "archimonde"}},
		{rname = BZ["Black Temple"], level = 70, patt = {"temple", "bt%d*", "naj'entus", l(BB["Supremus"]), "akama", "gorefiend", "bloodboil", "reliquary", "shahraz", "illidari"}},
		{rname = BZ["Gruul's Lair"], level = 70, patt = {"gruul%d*", "gl%d*", "maulgar"}},
		{rname = BZ["Karazhan"], level = 70, patt = {l(BZ["Karazhan"]) .. "%d*", "kara%d*", "kz*d%", "attumen", "virtue", l(BB["Moroes"]), "opera", l(BB["Nightbane"]), "curator", "illhoof", "aran", l(BB["Netherspite"]), "chess", "malchezaar"}},
		{rname = BZ["Magtheridon's Lair"], level = 70, patt = {"mag%d*", l(BB["Magtheridon"]), "ml%d*"}},
		{rname = BZ["Serpentshrine Cavern"], level = 70, patt = {"serpentshrine", "ssc%d*", "hydross", "lurker", "leotheras", "karathress", "tidewalker", "vashj"}},
		{rname = BZ["Sunwell Plateau"], level = 70, patt = {"sunwell%d*", l(BB["Kalecgos"]), "sathrovarr", l(BB["Brutallus"]), l(BB["Felmyst"]), "eredar", l(BB["M'uru"]), l(BB["Entropius"]), l(BB["Kil'jaeden"])}},
		{rname = BZ["Tempest Keep"], level = 70, patt = {"tempest", "tk%d*", l(BB["Al'ar"]), "reaver", "solarian", "sunstrider"}},
		{rname = BZ["Zul'Aman"], level = 70, patt = {l(BZ["Zul'Aman"]), "za%d*", l(BB["Nalorakk"]), l(BB["Akil'zon"]), "jen'alai", l(BB["Halazzi"]), "malacrass", l(BB["Zul'jin"])}},
		{rname = BZ["Blackwing Lair"], level = 60, patt = {"blackwing%d*", "bwl%d*", "razorgore", "vaelastrasz", "lashlayer", l(BB["Firemaw"]), l(BB["Ebonroc"]), l(BB["Flamegor"]), l(BB["Chromaggus"]), l(BB["Nefarian"])}},
		{rname = BZ["Molten Core"], level = 60, patt = {"molten", "mc%d*", l(BB["Lucifron"]), l(BB["Magmadar"]), l(BB["Gehennas"]), l(BB["Garr"]), "geddon", l(BB["Shazzrah"]), "sulfuron", "golemagg", "majordomo", l(BB["Ragnaros"])}},
		{rname = BZ["Ruins of Ahn'Qiraj"], level = 60, patt = {l(BZ["Ahn'Qiraj"]), "aq", "aq20", l(BB["Kurinnaxx"]), "rajaxx", l(BB["Moam"]), "buru", "ayamiss", "ossirian"}},
		{rname = BZ["Temple of Ahn'Qiraj"], level = 60, patt = {l(BZ["Ahn'Qiraj"]), "aq", "aq40", "skeram", "sartura", "fankriss", l(BB["Viscidus"]), "huhuran", "emperors", "sandworm", l(BB["C'Thun"]), l(BB["Ouro"])}},
		{rname = BZ["Zul'Gurub"], level = 60, patt = {l(BZ["Zul'Gurub"]), "zg%d*", "jeklik", "venoxis", "mar'li", "thekal", "arlokk", "soulflayer", "mandokir", "hexxer", l(BB["Gahz'ranka"]), "madness"}},
		{rname = BZ["Upper Blackrock Spire"], level = 56, patt = {"blackrock", "ubrs%d*", "emberseer", "flamewreath", "goraluk", "jed", "gyth", "blackhand", "valthalak", "drakkisath"}}
	}
	
end